package com.bonus.canteen.core.customer.v4.mobile.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import com.bonus.canteen.core.customer.utils.CustomerUtil;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

public class FacePhotoVO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人脸照片地址")
   private String facePhotoUrl;
   @ApiModelProperty("照片失效日期2023-12-13当天有效,null表示永久有效")
   private LocalDate expireDate;

   public String getFacePhotoUrl() {
      return SysUtil.getCutFileUrl(this.facePhotoUrl);
   }

   public String getRemainingDays() {
      return CustomerUtil.getRemainingDays(this.expireDate);
   }

   public Long getCustId() {
      return this.custId;
   }

   public LocalDate getExpireDate() {
      return this.expireDate;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setFacePhotoUrl(final String facePhotoUrl) {
      this.facePhotoUrl = facePhotoUrl;
   }

   public void setExpireDate(final LocalDate expireDate) {
      this.expireDate = expireDate;
   }




}
